gstreamermm: Gst::VideoOrientation Class Reference

# Gst::VideoOrientation Class Reference
[gstreamermm Interfaces]

Gst::VideoOrientation - Interface for elements providing video orientation controls. More...

`#include <videoorientation.h>`

List of all members.

## Public Member Functions
virtual | ~VideoOrientation ()
GstVideoOrientation* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoOrientation* | gobj () const
| Provides access to the underlying C GObject.
bool | get_hcenter (int& center) const
| Get the horizontal centering offset from the given object.
bool | get_hflip (bool& flip) const
| Get the horizontal flipping state (`true` for flipped) from the given object.
bool | get_vcenter (int& center) const
| Get the vertical centering offset from the given object.
bool | get_vflip (bool& flip) const
| Get the vertical flipping state (`true` for flipped) from the given object.
bool | set_hcenter (int center)
| Set the horizontal centering offset for the given object.
bool | set_hflip (bool flip)
| Set the horizontal flipping state (`true` for flipped) for the given object.
bool | set_vcenter (int center)
| Set the vertical centering offset for the given object.
bool | set_vflip (bool flip)
| Set the vertical flipping state (`true` for flipped) for the given object.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr <Gst::VideoOrientation> | wrap (GstVideoOrientation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::VideoOrientation - Interface for elements providing video orientation controls.

The interface allows unified access to control flipping and autocenter operation of video-sources or operators.

## Constructor & Destructor Documentation

virtual Gst::VideoOrientation::~VideoOrientation | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::VideoOrientation::add_interface | ( | GType | gtype_implementer | ) | `[static]`

GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

bool Gst::VideoOrientation::get_hcenter | ( | int & | center | ) | const

Get the horizontal centering offset from the given object.

Since: 0.10.11

Parameters:

  | center | Return location for the result.

Returns:
  `true` in case the element supports centering.

bool Gst::VideoOrientation::get_hflip | ( | bool & | flip | ) | const

Get the horizontal flipping state (`true` for flipped) from the given object.

Since: 0.10.11

Parameters:

  | flip | Return location for the result.

Returns:
  `true` in case the element supports flipping.

bool Gst::VideoOrientation::get_vcenter | ( | int & | center | ) | const

Get the vertical centering offset from the given object.

Since: 0.10.11

Parameters:

  | center | Return location for the result.

Returns:
  `true` in case the element supports centering.

bool Gst::VideoOrientation::get_vflip | ( | bool & | flip | ) | const

Get the vertical flipping state (`true` for flipped) from the given object.

Since: 0.10.11

Parameters:

  | flip | Return location for the result.

Returns:
  `true` in case the element supports flipping.

bool Gst::VideoOrientation::set_hcenter | ( | int | center | ) |

Set the horizontal centering offset for the given object.

Since: 0.10.11

Parameters:

  | center | Centering offset.

Returns:
  `true` in case the element supports centering.

bool Gst::VideoOrientation::set_hflip | ( | bool | flip | ) |

Set the horizontal flipping state (`true` for flipped) for the given object.

Since: 0.10.11

Parameters:

  | flip | Use flipping.

Returns:
  `true` in case the element supports flipping.

bool Gst::VideoOrientation::set_vcenter | ( | int | center | ) |

Set the vertical centering offset for the given object.

Since: 0.10.11

Parameters:

  | center | Centering offset.

Returns:
  `true` in case the element supports centering.

bool Gst::VideoOrientation::set_vflip | ( | bool | flip | ) |

Set the vertical flipping state (`true` for flipped) for the given object.

Since: 0.10.11

Parameters:

  | flip | Use flipping.

Returns:
  `true` in case the element supports flipping.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::VideoOrientation> wrap | ( | GstVideoOrientation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- videoorientation.h